package config

// Zhgzd 指挥官阵地模式
type Zhgzd struct {
	MaxStrategicPoints    int32 // 最大战略点数
	StrategicRecoverSpeed int32 // 每秒回复战略点数

	// CommandUnitDict 命令单位ID字典
	CommandUnitDict map[string]string

	// CommandCostDict 命令战略点消耗
	CommandCostDict map[string]struct {
		Common int32            // 通用消耗
		Units  map[string]int32 // 单位消耗
	}

	// 战略暴兵数量(兵种相关)
	DispatchCountDict map[string]int32

	// 礼物效果配置
	GiftEffect struct {
		// StrategicMaximal 战略点上限配置
		StrategicMaximal struct {
			GiftIds []int64 // 对应礼物ID列表
			Addon   int32   // 增加上限值
			Limit   int32   // 次数限制
		}
		// StrategicRecover 战略点回复速度
		StrategicRecover struct {
			GiftIds  []int64 // 对应礼物ID
			Addon    int32   // 增加速度值 x每秒
			Duration int32   // 持续时间 秒
			Limit    int32   // 次数限制
		}
		// SupportSkill
		SupportSkill []struct {
			GiftIds  []int64  // 对应礼物ID列表 (每次匹配一个)
			SkillIds []string // 技能ID列表
		}
		// SuperSkill
		SuperSkill struct {
			GiftIds []int64 // 对应礼物ID列表
		}
	}
}
